aboutsummaryrefslogtreecommitdiffstats
path: root/doc/howto-build/shiboken.rst
diff options
context:
space:
mode:
authorLuciano Wolf <luciano.wolf@openbossa.org>2010-10-08 18:13:17 -0300
committerLuciano Wolf <luciano.wolf@openbossa.org>2010-10-11 10:35:38 -0300
commit87c67294301eb53c67e949ff50b991afe24d80c0 (patch)
tree8e1399074ed417be4e3bb42007951ce27f3f6471 /doc/howto-build/shiboken.rst
parentba54f0956e50c9a667ce160c69592d08ce514382 (diff)
Updating documentation to reflect adoption of wikipages.
Reviewer: Renato Ara├║jo <renato.filho@openbossa.org>
Diffstat (limited to 'doc/howto-build/shiboken.rst')
-rw-r--r--doc/howto-build/shiboken.rst54
1 files changed, 0 insertions, 54 deletions
diff --git a/doc/howto-build/shiboken.rst b/doc/howto-build/shiboken.rst
deleted file mode 100644
index d5c19de5b..000000000
--- a/doc/howto-build/shiboken.rst
+++ /dev/null
@@ -1,54 +0,0 @@
-
-.. _shiboken-generator:
-
-******************
-Shiboken Generator
-******************
-
-Overview
-=========================================
-
-The **Shiboken Generator** (A.K.A. :program:`shiboken`) is
-the plugin that creates the PySide bindings source files from Qt headers
-and auxiliary files (typesystems, ``global.h`` and glue files). It depends on
-:ref:`generator-runner` and :ref:`api-extractor` library.
-
-
-Getting the sources
-===================
-
-* Download URL: http://www.pyside.org/downloads/
-
-Build requirements
-==================
-
-+ CMake >= 2.6.0
-+ Qt libraries and development headers >= 4.5.0
-+ Python development headers >= 2.5
-+ :ref:`api-extractor` + development headers
-+ :ref:`generator-runner` + development headers
-
-Building and installing
-=======================
-
-To build and install just follow the generic CMake instructions in
-section :ref:`cmake-primer`.
-
-Debian packaging
-================
-
-In order to compile this package in a debian environment, make sure the
-following packages are installed:
-
-* debhelper (>= 7)
-* cmake (>= 2.6.0)
-* libqt4-dev (>= 4.5)
-* libapiextractor-dev (>= 0.5.0)
-* libgenrunner-dev (>= 0.4.1)
-* generatorrunner (>= 0.4.1)
-* python-all-dev
-* python-all-dbg
-
-And then you can build the package using::
-
- $ dpkg-buildpackage -rfakeroot